org.keycloak.protocol.oidc.endpoints

## Class TokenEndpoint

- java.lang.Object
- - org.keycloak.protocol.oidc.endpoints.TokenEndpoint

-     public class TokenEndpoint
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenEndpoint(TokenManager tokenManager, RealmModel realm, EventBuilder event)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `build()`
    `javax.ws.rs.core.Response` | `buildAuthorizationCodeAccessTokenResponse()`
    `javax.ws.rs.core.Response` | `buildClientCredentialsGrant()`
    `javax.ws.rs.core.Response` | `buildRefreshToken()`
    `javax.ws.rs.core.Response` | `buildResourceOwnerPasswordCredentialsGrant()`
    `Object` | `introspect()`
    `javax.ws.rs.core.Response` | `preflight()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenEndpoint

          public TokenEndpoint(TokenManager tokenManager,
                               RealmModel realm,
                               EventBuilder event)

  - ### Method Detail

    - #### build

          @POST
          public javax.ws.rs.core.Response build()

    - #### introspect

          @Path(value="introspect")
          public Object introspect()

    - #### preflight

          @OPTIONS
          public javax.ws.rs.core.Response preflight()

    - #### buildAuthorizationCodeAccessTokenResponse

          public javax.ws.rs.core.Response buildAuthorizationCodeAccessTokenResponse()

    - #### buildRefreshToken

          public javax.ws.rs.core.Response buildRefreshToken()

    - #### buildResourceOwnerPasswordCredentialsGrant

          public javax.ws.rs.core.Response buildResourceOwnerPasswordCredentialsGrant()

    - #### buildClientCredentialsGrant

          public javax.ws.rs.core.Response buildClientCredentialsGrant()

Copyright © 2016 JBoss by Red Hat. All rights reserved.